## r-cran-magrittr 1.5

=== DESCRIPTION ===
Package: magrittr
Type: Package
Title: A Forward-Pipe Operator for R
Version: 1.5
Author: Stefan Milton Bache <stefan@stefanbache.dk> and
    Hadley Wickham <h.wickham@gmail.com>
Maintainer: Stefan Milton Bache <stefan@stefanbache.dk>
Description: Provides a mechanism for chaining commands with a
    new forward-pipe operator, %>%. This operator will forward a
    value, or the result of an expression, into the next function
    call/expression. There is flexible support for the type
    of right-hand side expressions. For more information, see
    package vignette.
    To quote Rene Magritte, "Ceci n'est pas un pipe."
Suggests: testthat, knitr
VignetteBuilder: knitr
License: MIT + file LICENSE
ByteCompile: Yes
Packaged: 2014-11-22 08:50:53 UTC; shb
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-11-22 19:15:57

=== debian/changelog ===
r-cran-magrittr (1.5-1) unstable; urgency=medium

  * Initial upload (Closes: #793686)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Jul 2015 17:51:55 +0200

=== debian/control ===
Source: r-cran-magrittr
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-magrittr/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-magrittr/
Homepage: http://cran.r-project.org/web/packages/R.oo

Package: r-cran-magrittr
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends}
Recommends: r-cran-crayon
Description: GNU R forward-pipe operator
 Provides a mechanism for chaining commands with a new forward-pipe
 operator, %>%. This operator will forward a value, or the result of an
 expression, into the next function call/expression. There is flexible
 support for the type of right-hand side expressions.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/R/debian/r-cran.mk

install/$(package)::
	rm -rf debian/$(package)/usr/lib/R/site-library/$(cranName)/LICENSE

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-crayon
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/magrittr_([\d.-]*)\.tar\.gz

## r-cran-magrittr 2.0.1

=== DESCRIPTION ===
Type: Package
Package: magrittr
Title: A Forward-Pipe Operator for R
Version: 2.0.1
Authors@R: 
    c(person(given = "Stefan Milton",
             family = "Bache",
             role = c("aut", "cph"),
             email = "stefan@stefanbache.dk",
             comment = "Original author and creator of magrittr"),
      person(given = "Hadley",
             family = "Wickham",
             role = "aut",
             email = "hadley@rstudio.com"),
      person(given = "Lionel",
             family = "Henry",
             role = "cre",
             email = "lionel@rstudio.com"),
      person(given = "RStudio",
             role = c("cph", "fnd")))
Description: Provides a mechanism for chaining commands with a
    new forward-pipe operator, %>%. This operator will forward a value, or
    the result of an expression, into the next function call/expression.
    There is flexible support for the type of right-hand side expressions.
    For more information, see package vignette.  To quote Rene Magritte,
    "Ceci n'est pas un pipe."
License: MIT + file LICENSE
URL: https://magrittr.tidyverse.org,
        https://github.com/tidyverse/magrittr
BugReports: https://github.com/tidyverse/magrittr/issues
Suggests: covr, knitr, rlang, rmarkdown, testthat
VignetteBuilder: knitr
ByteCompile: Yes
Encoding: UTF-8
RoxygenNote: 7.1.1
NeedsCompilation: yes
Packaged: 2020-11-17 12:44:34 UTC; lionel
Author: Stefan Milton Bache [aut, cph] (Original author and creator of
    magrittr),
  Hadley Wickham [aut],
  Lionel Henry [cre],
  RStudio [cph, fnd]
Maintainer: Lionel Henry <lionel@rstudio.com>
Repository: CRAN
Date/Publication: 2020-11-17 16:20:06 UTC

=== debian/changelog ===
r-cran-magrittr (2.0.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Architecture: any
  * Fix autopkgtest

 -- Andreas Tille <tille@debian.org>  Mon, 23 Nov 2020 14:14:21 +0100

r-cran-magrittr (1.5-6) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 08:13:08 +0200

r-cran-magrittr (1.5-5) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 31 May 2018 14:26:41 +0200

r-cran-magrittr (1.5-4) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * Convert from cdbs to dh-r
  * Secure URI in watch file
  * Canonical homepage for CRAN packages

 -- Andreas Tille <tille@debian.org>  Fri, 20 Oct 2017 11:20:47 +0200

r-cran-magrittr (1.5-3) unstable; urgency=medium

  * Add missing test dependency r-cran-testthat

 -- Andreas Tille <tille@debian.org>  Fri, 29 Apr 2016 09:52:18 +0200

r-cran-magrittr (1.5-2) unstable; urgency=medium

  * Fixed autopkgtest
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Thu, 28 Apr 2016 11:45:07 +0200

=== debian/control ===
Source: r-cran-magrittr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-magrittr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-magrittr.git
Homepage: https://cran.r-project.org/package=magrittr
Rules-Requires-Root: no

Package: r-cran-magrittr
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R forward-pipe operator
 Provides a mechanism for chaining commands with a new forward-pipe
 operator, %>%. This operator will forward a value, or the result of an
 expression, into the next function call/expression. There is flexible
 support for the type of right-hand side expressions.

## r-cran-magrittr 2.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: magrittr
 Title: A Forward-Pipe Operator for R
-Version: 2.0.1
+Version: 2.0.2
 Authors@R: 
     c(person(given = "Stefan Milton",
              family = "Bache",
@@ -32,9 +32,10 @@
 VignetteBuilder: knitr
 ByteCompile: Yes
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
+Config/Needs/website: tidyverse/tidytemplate
 NeedsCompilation: yes
-Packaged: 2020-11-17 12:44:34 UTC; lionel
+Packaged: 2022-01-26 10:19:52 UTC; lionel
 Author: Stefan Milton Bache [aut, cph] (Original author and creator of
     magrittr),
   Hadley Wickham [aut],
@@ -42,4 +43,4 @@
   RStudio [cph, fnd]
 Maintainer: Lionel Henry <lionel@rstudio.com>
 Repository: CRAN
-Date/Publication: 2020-11-17 16:20:06 UTC
+Date/Publication: 2022-01-26 15:32:44 UTC

=== debian/changelog ===
r-cran-magrittr (2.0.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 12 Feb 2022 19:08:54 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-magrittr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-magrittr.git
 Homepage: https://cran.r-project.org/package=magrittr

## r-cran-magrittr 2.0.3

=== DESCRIPTION ===
Type: Package
Package: magrittr
Title: A Forward-Pipe Operator for R
Version: 2.0.3
Authors@R: c(
    person("Stefan Milton", "Bache", , "stefan@stefanbache.dk", role = c("aut", "cph"),
           comment = "Original author and creator of magrittr"),
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = "aut"),
    person("Lionel", "Henry", , "lionel@rstudio.com", role = "cre"),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: Provides a mechanism for chaining commands with a new
    forward-pipe operator, %>%. This operator will forward a value, or the
    result of an expression, into the next function call/expression.
    There is flexible support for the type of right-hand side expressions.
    For more information, see package vignette.  To quote Rene Magritte,
    "Ceci n'est pas un pipe."
License: MIT + file LICENSE
URL: https://magrittr.tidyverse.org,
        https://github.com/tidyverse/magrittr
BugReports: https://github.com/tidyverse/magrittr/issues
Depends: R (>= 3.4.0)
Suggests: covr, knitr, rlang, rmarkdown, testthat
VignetteBuilder: knitr
ByteCompile: Yes
Config/Needs/website: tidyverse/tidytemplate
Encoding: UTF-8
RoxygenNote: 7.1.2
NeedsCompilation: yes
Packaged: 2022-03-29 09:34:37 UTC; lionel
Author: Stefan Milton Bache [aut, cph] (Original author and creator of
    magrittr),
  Hadley Wickham [aut],
  Lionel Henry [cre],
  RStudio [cph, fnd]
Maintainer: Lionel Henry <lionel@rstudio.com>
Repository: CRAN
Date/Publication: 2022-03-30 07:30:09 UTC

=== debian/changelog ===
r-cran-magrittr (2.0.3-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 04 May 2022 14:47:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-magrittr
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-magrittr
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-magrittr.git
+Homepage: https://cran.r-project.org/package=magrittr
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-magrittr
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-magrittr.git
-Homepage: https://cran.r-project.org/package=magrittr
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-magrittr
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-crayon
Restrictions: allow-stderr

## r-cran-magrittr 2.0.4

=== debian/changelog ===
r-cran-magrittr (2.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 16 Jan 2026 11:21:50 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: r-cran-magrittr
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-magrittr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-magrittr.git
 Homepage: https://cran.r-project.org/package=magrittr
-Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-magrittr
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-knitr,
        r-cran-rlang,
        r-cran-rmarkdown,
        r-cran-testthat
Restrictions: allow-stderr
